/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne licenese GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor infolekce.c */

#include <unistd.h>
#include <stdlib.h>
#include "struktury.h"
#include "lib.h"

type_informace informace_o_lekcich(int l, type_uziv * slozka)
{
    type_informace lekce;

    if (nacti_info(l, &lekce, jmeno_info_lekce())) {
        print_hl(1,
                 "Nelze st informace o lekcch ! Program nebude pracovat sprvn !");
        lekce.cislo = l;
        lekce.zavislost = 0;
        return lekce;
    }

    /* lekce.cislo = l; */
    lekce.napsano = slozka->napsano_lekce[l - 1];

    /* l je cislo lekce <1,LEKCE> */
    if ((l > 1)) {
        if (!slozka->napsano_lekce[l - 2])
            lekce.zavislost = 0;        /* nebyla napsana predchozi lekce */
        else if (lekce.zavislost_na == 0)
            lekce.zavislost = 1;        /* zavislost na testu neni */
        else if ((lekce.zavislost_na > 0) && (lekce.zavislost_na <= TEST))
            lekce.zavislost = slozka->napsano_test[lekce.zavislost_na - 1];
        else
            lekce.zavislost = 0;        /* podivna zavislost na testu */
    } else
        lekce.zavislost = 1;    /* prvni lekce se muze psat :-) */

    if (l == LEKCER)
        if ((!lekce.zavislost_na) ||
            slozka->napsano_test[lekce.zavislost_na - 1])
            lekce.zavislost = 1;
    return lekce;
}
