/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor menu.h */

typedef enum {
    e_lekce0 = 0, e_lekce1 = 1, e_lekce2 = 2, e_lekce3 = 3,
    e_lekce4 = 4, e_lekce5 = 5, e_test0 = 6, e_test1 = 7,
    e_test2 = 8, e_test3 = 9, e_test4 = 10, e_test5 = 11,
    e_klavesnice, e_vysledky, e_konec, e_napoveda, e_nastavenivt,
    e_vt, e_metronom, e_qwertz, e_jmeno, e_heslo, e_lock, e_copyright,
    e_null
} enum_menu;

typedef struct {
    char *opt;
    char ch;
    int (*fce) (int, type_uziv * slozka, type_nastaveni * nastaveni);
    enum_menu navrat;
} menupolozka;
extern menupolozka option[];

typedef struct {
    char fce;
    signed int min;
    int max;
    char ch;
    char *opt;
} menu_vyber_lt;
extern menu_vyber_lt vyber_lt[];
#define OPT  35                 /* kolik je polozek v option */
#define POS 2
#define POS2 20                 /* posunuti zacatku sloupce oproti
                                   zacatku predchoziho sloupce */
#define POCRADEK 12

/* menu.c */
enum_menu menu(type_uziv *, type_nastaveni *, enum_menu);
void print_menu(char *, int);

/* menu_funkce.c */
int nacti_vyber_lt();
int m_lekce(int, type_uziv *, type_nastaveni *);
int m_test(int, type_uziv *, type_nastaveni *);
int m_jmeno(int, type_uziv *, type_nastaveni *);
int m_heslo(int, type_uziv *, type_nastaveni *);
int aktualni_radek(int, int);
int zadej_jmeno(type_uziv *, type_nastaveni *, int);
int zadej_heslo(type_uziv *, type_nastaveni *, int);
