#!/bin/bash
#

if [ "$KONTROLA" != "OK" ]
then
echo "Tento skript je spousten automaticky, nezkousejte jej spustit sami."
exit 0
fi

gen_uninstall() 
   {
cat > ${UNINSTALL} << GUNINSTALEOF
#!/bin/bash
#
# Tento soubor je generovn programem install.sh
#

JENPROGRAM=0
SMAZLINK=0

while  [ \${#} -ge 1 ]
do
  case \$1 in
  --help | -help)
        echo -e "UZITI: $0 [prepinace]"
        echo ""
	echo "Skript pro odinstalovani programu ${NAZEV1}."
        echo ""
        echo "Prepinace:"
        echo -e " --help | -help\t\tVytiskne tuto napovedu"
        echo -e " --jen-program\t\tOdinstaluje jen program, ponecha v systemu lekce a testy"
	echo -e "              \t\t(vhodne, kdyz mate nainstalovane programy \\\`psani'"
	echo -e "              \t\ta \\\`psani-profi' stejne verze ve stejnych adresarich)"
	echo -e " --smaz-link\t\tSmaze symbolicky odkaz na psani"
	echo -e "            \t\t(vhodne, kdyz nemate v systemu jinou verzi programu)"
        exit 0
	;;
   --jen-program)
        JENPROGRAM=1
        ;;
   --smaz-link)
        SMAZLINK=1
	;;
   *)
   	echo "ERROR $1 * neznamy prepinac!"
   	exit 1
        ;;
   esac
   shift
done
			
if [ "\$JENPROGRAM" = "0" ]
then
    echo "Mazu ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce/"
GUNINSTALEOF

for i in ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce/*
 do
    echo "    rm $i" >> ${UNINSTALL}
 done
 
cat >> ${UNINSTALL} << GUNINSTALEOF
    rmdir ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/lekce
    echo "Mazu ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy/"
GUNINSTALEOF

for i in ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy/*
 do
    echo "    rm $i" >> ${UNINSTALL}
 done

cat >> ${UNINSTALL} << GUNINSTALEOF
    rmdir ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/testy/
    echo Mazu ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda/
GUNINSTALEOF

for i in ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda/*
  do
   echo "    rm $i" >> ${UNINSTALL}
  done
  
cat >> ${UNINSTALL} << GUNINSTALEOF
    rmdir ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/napoveda
    echo Mazu ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/
    rmdir ${JMENO_ADR_LaT}/${NAZEV0}/${LVERA}/
fi #JENPROGRAM

echo "Mazu ${JMENO_ADR_INST}/${NAZEV1}"
if [ -f ${JMENO_ADR_INST}/${NAZEV1} ]; then
	 rm -f ${JMENO_ADR_INST}/${NAZEV1}
else
	echo "Soubor ${JMENO_ADR_INST}/${NAZEV1} nebyl nalezen !"
fi

if [ "\$SMAZLINK" = "1" ]
then 
  rm ${JMENO_ADR_INST}/psani
fi

if [ "\$JENPROGRAM" = "0" ]
then
    rmdir ${JMENO_ADR_LaT}/${NAZEV0}
GUNINSTALEOF

echo "    # Mazani dokumentace " >> ${UNINSTALL}
echo "    echo Mazu dokumentaci" >> ${UNINSTALL}
for i in `find man/ -type f`
do
echo "    rm -f ${JMENO_ADR_MAN}${i##man}" >> ${UNINSTALL}
done

for i in `find man/ -type d`
do
echo "    rmdir ${JMENO_ADR_MAN}${i##man}"
done | sort -r >> ${UNINSTALL}


cat >> ${UNINSTALL} << GUNINSTALEOF
fi #[ "\$JENPROGRAM" = "0" ]

echo "Program ${NAZEV1} je uspesne odinstalovan!"
echo "Smazte soubor ${JMENO_ADR_INST}/${UNINSTALL}"
GUNINSTALEOF
 }

gen_uninstall
chmod u+x ${UNINSTALL}
